InfluxDB: Couldn't write stats unauthorized

Hi,

After updating my dockers to 3.2.2 i started getting this error

ERRO[0010] InfluxDB: Couldn't write stats               
 error="{\"code\":\"unauthorized\",\"message\":\"unauthorized access\"}"

Any help would be appreciated.

Thanks
Kiran

This might be because you’re using InfluxDB v2, with which k6 is currently incompatible. If that’s the case, you can either downgrade to InfluxDB v1.8 and wait for us to close this issue, or try to use the xk6 extension for InfluxDB v2 that this user made.

Hi,

Is this for 3,2.0 as well?

And how do I downgrade just the InfluxDB to v1.8

Thanks.

You just specify the version after the image name, like this: influxdb:1.8. Here’s how we’ve done it in our docker-compose file.

It worked ! thanks a lot.

-Kiran

Do we know if nfluxDB v2 and k6 are compatible yet?